> For the complete documentation index, see [llms.txt](https://docs.renzoprotocol.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.renzoprotocol.com/docs/contracts/ethereum-mainnet.md).

# Ethereum Mainnet

* Renzo $ezETH - Renzo Liquid Restaking ETH token (EigenLayer Mainnet)
  * [`0xbf5495Efe5DB9ce00f80364C8B423567e58d2110`](https://etherscan.io/token/0xbf5495Efe5DB9ce00f80364C8B423567e58d2110)
* Renzo $pzETH - Renzo Liquid Restaking LST token (Symbiotic Mainnet)
  * [`0x8c9532a60e0e7c6bbd2b2c1303f63ace1c3e981`](https://etherscan.io/token/0x8c9532a60e0e7c6bbd2b2c1303f63ace1c3e9811)
* $REZ Token - Renzo Governance Token
  * [`0x3B50805453023a91a8bf641e279401a0b23FA6F9`](https://etherscan.io/token/0x3B50805453023a91a8bf641e279401a0b23FA6F9)
* Renzo $ezREZ - Renzo Restaked REZ token
  * [`0x77b1183e730275f6a8024ce53d54bcc12b368f60`](https://etherscan.io/token/0x77b1183e730275f6a8024ce53d54bcc12b368f60)
* $REZ Token Staking Contract
  * [`0x1736011D3E075351B319DBC1da28Dac68Ea830A6`](https://etherscan.io/address/0x1736011d3e075351b319dbc1da28dac68ea830a6#tokentxns)
* Renzo $ezEIGEN - Renzo Restaked EIGEN token
  * [`0xd4fcde9bb1d746Dd7e5463b01Dd819EE06aF25db`](https://etherscan.io/token/0xd4fcde9bb1d746dd7e5463b01dd819ee06af25db)
* Renzo Restake Manager Contract - Users deposit and withdraw from the protocol
  * [`0x74a09653A083691711cF8215a6ab074BB4e99ef5`](https://etherscan.io/address/0x74a09653A083691711cF8215a6ab074BB4e99ef5)
* EigenLayer Strategy Manager Contract - Manages the restaking process in EigenLayer
  * [`0x858646372CC42E1A627fcE94aa7A7033e7CF075A`](https://etherscan.io/address/0x858646372CC42E1A627fcE94aa7A7033e7CF075A)
* Renzo Withdrawal Contract
  * [`0x5efc9D10E42FB517456f4ac41EB5e2eBe42C8918`](https://etherscan.io/address/0x5efc9D10E42FB517456f4ac41EB5e2eBe42C8918)

#### Bridge Contracts:

* L1 $ezETH (xERC20) - The xRenzoDeposit contract mints $ezETH tokens
  * [0x2416092f143378750bb29b79ed961ab195cceea5](<https://etherscan.io/address/0x2416092f143378750bb29b79ed961ab195cceea5 >)&#x20;
* xRenzoBridge ETH-Mainnet - The bridgeDeposit() function unwraps the received wETH to ETH and deposits it into the RestakeManager.
  * [`0xc1036D6bBa2FE24c65823110B348Ee80D3386ACd`](https://etherscan.io/address/0xc1036D6bBa2FE24c65823110B348Ee80D3386ACd)
* xERC20 Factory
  * [`0x9BCE21489a7A85ed475c9e9D0Dc94b4E6A1aEbF3`](https://etherscan.io/address/0x9BCE21489a7A85ed475c9e9D0Dc94b4E6A1aEbF3)
* Mainnet Lockbox  ETH-Mainnet - Mints $ezETH tokens on the layer 2 in exchange for $ezETH on the layer1.
  * [`0xC8140dA31E6bCa19b287cC35531c2212763C2059#code`](https://etherscan.io/address/0xC8140dA31E6bCa19b287cC35531c2212763C2059#code)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.renzoprotocol.com/docs/contracts/ethereum-mainnet.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
